

#import <appkit/appkit.h>

// defining the various positions of the view
#define UHSV_TOPLEFT 1
#define UHSV_TOPCENTER 2
#define UHSV_TOPRIGHT 3
#define UHSV_LEFT 4
#define UHSV_CENTER 5
#define UHSV_RIGHT 6
#define UHSV_BOTTOMLEFT 7
#define UHSV_BOTTOMCENTER 8
#define UHSV_BOTTOMRIGHT 9

#define UHSELECTVIEW_CURRENT_VERSION 1


@interface UHSelectView:View
{
	id view00;				//these are outlets for connection in IB
	id view01;
	id view02;
	id view03;
	id view04;
	id view05;
	id view06;
	id view07;
	id view08;
	id view09;
	id view10;
	id view11;
	id view12;
	id view13;
	id view14;
	id view15;
	id view16;
	id view17;
	id view18;
	id view19;
	id view20;
	id view21;
	id view22;
	id view23;
	id view24;
	id view25;
	id defaultView;
	id delegate;
	List * views;
	Storage * viewNos;
	View * currentView;		//the view currently being displayed
	View * currentSuperview;	//temporary storage for superview ptr
	NXRect currentFrame;	//saved frame rect of current view
	int viewNumber;	//current view number
	int position;		// integer value of the position
	BOOL isFramed;	//flag indicating whether selectview is to be framed
}

- takeTagFrom:sender;			// select view number from tag of the sender
- takeIntValueFrom:sender;		//select view number from int value of sender
- selectViewNumber:(int)viewNo;	//select a view by number and display it
- viewWithNumber:(int)viewNo;	//return view corresponding to a particular number
- (int)viewNumber;				// return the current view number
- setPosition:(int)aPosition;		//sets the position of the view
- (int)position;					//returns the position
- makeFramed:(BOOL)framed;	//designate whether view is to be framed
- (BOOL)isFramed;				// returns the value of the flag isFramed
- setView:anObject number:(int)n;	//register a view with a reference number
- (int)viewCount;				//return the number of views registered
- drawDefault;					//draw the default display when no view is selected
- setDefaultView:aView;			//set view to be displayed when bi view is selected
- defaultView;					//returns the default view

@end

@interface Object(UHSelectViewDelegate)
/* Methods Implemented by the Delegate */
- viewWasSelected:sender; 		//called when a view has been selected and displayed
@end

@protocol NXNibNotification
- awakeFromNib;
@end