
#import "UHSelectViewInspector.h"
#import "UHSelectView.h"

@implementation UHSelectViewInspector

- init
{
    char buf[MAXPATHLEN + 1];
    id bundle;
    
    [super init];
    
    bundle = [NXBundle bundleForClass:[UHSelectView class]];
    [bundle getPath:buf 
            forResource:"UHSelectViewInspector" 
            ofType:"nib"];
    [NXApp loadNibFile:buf 
           owner:self 
           withNames:NO 
           fromZone:[self zone]];
    return self;
}

- ok:sender
{
	if(sender==positionMatrix)
		[object setPosition:[positionMatrix selectedTag]];
	else if (sender==frameButton)
		[object makeFramed:[frameButton state]];
	return [super ok:sender];
}
- revert:sender
{
	[positionMatrix selectCellWithTag:[object position]];
	[frameButton setIntValue:[object isFramed]];
	return [super revert:sender];
}

- (BOOL)wantsButtons
{
	return NO;
}

@end
